package de.intevation.gnv.math;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Ingo Weinzierl <ingo.weinzierl@intevation.de>
 * @author Sascha L. Teichmann <sascha.teichmann@intevation.de>
 */
public class XYColumn
extends      Point2d
{
    protected List values;

    public XYColumn() {
    }

    public XYColumn(double x, double y, int i, int j) {
        super(x, y, i, j);
    }

    public void add(HeightValue value) {
        if (values == null) {
            values = new ArrayList();
        }
        values.add(value);
    }

    public HeightValue[] getValues() {
        return (HeightValue[]) values.toArray(new HeightValue[values.size()]);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
